Subject: bug#841 closed by Chong Yidong <[email-masked]> (Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#844: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
844: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=844
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Sep  2 17:17:07 2008
To: "Lennart Borgman \(gmail\)" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
From: Chong Yidong <[email-masked]>
Date: Tue, 02 Sep 2008 20:19:27 -0400

Are you able to reproduce this?

>From [email-masked] Sun Aug 31 12:36:55 2008
Date: Sun, 31 Aug 2008 15:36:37 -0400
From: Michael Kifer <[email-masked]>
To: "Lennart Borgman (gmail)" <[email-masked]>
Cc: [email-masked]
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
Reply-To: [email-masked]
Organization: Stony Brook University

On Sun, 31 Aug 2008 15:40:21 +0200
"Lennart Borgman (gmail)" <[email-masked]> wrote:

> When I just made a checkout of Emacs from CVS I got a merge conflict
> which I used ediff-revision to resolve. I then got the following back
> trace when I did "wb" to save the corrected file:
> 
> Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
>   call-process("diff" nil #<buffer *ediff-custom-diff*> nil "-c"

This says that the output of diff -c exceeds the buffer size.

It is unclear how this is related to ediff per se, since ediff merely calls
call-process with the above command.

> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c")
>   apply(call-process "diff" nil #<buffer *ediff-custom-diff*> nil ("-c"
> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c"))
>   ediff-exec-process("diff" #<buffer *ediff-custom-diff*> synchronize
> "-c" "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
> "c:/ecvsnew/bld/emacs/src/w32term.c")
>   ediff-compute-custom-diffs-maybe()
>   ediff-save-buffer(nil)
>   call-interactively(ediff-save-buffer nil nil)
> 
> Looking into ediff-custom-diff I can see there is some problem with ^M:

Can you explain what the problem is? It is unclear from the included text below.

In any case, I deed to be able to reproduce it in order to be able to determine
if something needs to be fixed in ediff. Right now it does not look like
an ediff problem.

michael

> ! 	emacs_event->part = scroll_bar_handle;
> ! 	y = 0;
> ! 	break;
>         case SB_BOTTOM:
> ! 	emacs_event->part = scroll_bar_handle;
> ! 	y = top_range;
> ! 	break;
>         case SB_THUMBTRACK:
>         case SB_THUMBPOSITION:
> ! 	if (VERTICAL_SCROLL_BAR_TOP_RANGE (f, XINT (bar->height)) <= 0xffff)
>             y = HIWORD (msg->msg.wParam);
> 
> ! 	bar->dragging = Qt;
> 
> ! 	emacs_event->part = scroll_bar_handle;
> 
> 
> 
> ! 	/* "Silently" update current position.  */
> 
> ! 	{
> 
> ! 	  SCROLLINFO si;
> 
> 
> 
> 
> This was with my patched version, but I do not think I have any patches
> that comes in here:
> 
> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>  of 2008-08-28 (patched)
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'
> 
>